.screenLoader {
	position: absolute;
	top: 0; right: 0; bottom: 0; left: 0;
	transition: 180ms ease-in-out;
	pointer-events: none;
	display: flex;
	flex: 1;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	opacity: 0;
}

.screenLoader.visible {
	opacity: 1;
	background-color: var(--color-white-opacity);
	pointer-events: auto;
}

.screenLoader .loader {
	border: 16px solid var(--color-primary-opacity);
	border-top: 16px solid var(--color-primary);
	border-radius: 50%;
	width: 60px;
	height: 60px;
	animation: spin 2s linear infinite;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}